# continueButton

Field in [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

The game object that represents an on-screen button that the user can click to continue to the next piece of dialogue.

```csharp
public GameObject continueButton = null;
```

## Remarks

This game object will be made inactive when a line begins appearing, and active when the line has finished appearing.

This field will generally refer to an object that has a `UnityEngine.UI.Button` component on it that, when clicked, calls [OnContinueClicked()](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.oncontinueclicked.md). However, if your game requires specific UI needs, you can provide any object you need.

## See Also

* [LineView.autoAdvance](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.autoadvance.md): Controls whether this Line View will wait for user input before indicating that it has finished presenting a line.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.continuebutton.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
